×

Discussion Board

Results 1 to 5 of 5

Thread: LWUIT Version

  1. #1
    Registered User
    Join Date
    Jan 2009
    Posts
    15

    Question LWUIT Version

    Hello All,

    I am developing an application for the Series 40 5th edition SDK. I would like to know if am developing my application on the platform will it work on all the higher versions of the SDK too? Also i would like to know which version of the LWUIT jar should i be using. Kindly help me with this. Thanks in advance.

    Regards,
    S.A.Norton Stanley

  2. #2
    Nokia Developer Expert
    Join Date
    May 2012
    Location
    Espoo
    Posts
    224

    Re: LWUIT Version

    if you are targeting your LWUIT application to work on Series 40 5th edition or higher versions of SDK then I would suggest to use higher version of SDK . For example if you download the LWUIT package from here and planning to support from S40 Full touch SDK 2.0 to Series 40 5th Edition SDK, then use LWUIT jar from the downloaded package directory structure below:
    Series-40-binaries-0.6.2-beta\bin\sdk2.0\S40-non-touch.jar

  3. #3
    Registered User
    Join Date
    Jan 2009
    Posts
    15

    Re: LWUIT Version

    Hello bandarap,
    Thank you for your response. So using a higher version of the SDK (2.0) to build my application would it still run on the lower version devices (Series 40 5th edition)?

  4. #4
    Nokia Developer Expert
    Join Date
    May 2012
    Location
    Espoo
    Posts
    224

    Re: LWUIT Version

    yes, with LWUIT application with above provided jar.

    one note with above jar: your application compiles only on 2.0 SDK, but it can run on all the devices based on SDK 2.0 to Series 40 5th edition.

  5. #5
    Registered User
    Join Date
    Jan 2009
    Posts
    15

    Re: LWUIT Version

    Thank you bandarap. That answers my question.

Similar Threads

  1. How to append LWUIT List screen to a LWUIT Form in j2me?
    By pavanragi in forum Mobile Java General
    Replies: 1
    Last Post: 2012-08-06, 07:01
  2. error with LWUIT com.sun.lwuit.impl.midp.CanvasImplementation
    By aymen.ka in forum Mobile Java General
    Replies: 2
    Last Post: 2011-10-27, 11:41
  3. Replies: 1
    Last Post: 2011-10-22, 21:12

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •